Solid Edge Part Type Library
Range Method
Specifies the x coordinate of the lower-left corner the referenced object.
Specifies the y coordinate of the lower-left corner of the referenced object.
Specifies the z coordinate of the lower-left corner of the referenced object.
Specifies the x coordinate of the upper-right corner of the referenced object.
Specifies the y coordinate of the upper-right corner of the referenced object.
Specifies the z coordinate of the upper-right corner of the referenced object.
Description
Returns the high and low range values for the referenced object.
Syntax
Visual Basic
Public Sub Range( _
   ByRef x1 As Double, _
   ByRef y1 As Double, _
   ByRef Z1 As Double, _
   ByRef x2 As Double, _
   ByRef y2 As Double, _
   ByRef Z2 As Double _
) 
Parameters
x1
Specifies the x coordinate of the lower-left corner the referenced object.
y1
Specifies the y coordinate of the lower-left corner of the referenced object.
Z1
Specifies the z coordinate of the lower-left corner of the referenced object.
x2
Specifies the x coordinate of the upper-right corner of the referenced object.
y2
Specifies the y coordinate of the upper-right corner of the referenced object.
Z2
Specifies the z coordinate of the upper-right corner of the referenced object.
Example
Private Sub Form_Load()
    Dim objApp As SolidEdgeFramework.Application
    Dim objDoc As SolidEdgePart.PartDocument
    Dim objFeatures As SolidEdgePart.Features
    Dim objBodyFt As SolidEdgePart.BodyFeature
    Const TESTFILE = "T:\vbtests\testcases\BodyFtr.x_t"
    Dim x1 As Double, y1 As Double, z1 As Double, x2 As Double, y2 As Double, z2 As Double
    Dim vRng As Variant
    ' Report errors
    Const PI = 3.14159265358979
    ' Create/get the application with specific settings
    On Error Resume Next
    Set objApp = GetObject(, "SolidEdge.Application")
    If Err Then
        Err.Clear
        Set objApp = CreateObject("SolidEdge.Application")
        Set objDoc = objApp.Documents.Add("SolidEdge.PartDocument")
        objApp.Visible = True
    Else
        Set objDoc = objApp.ActiveDocument
    End If
    ' Open the TestFile
    Set objDoc = objApp.Documents.OpenWithTemplate(TESTFILE, "Normal.par")
    ' Get the Features collection object
    Set objFeatures = objDoc.Models(1).Features
    Set objBodyFt = objFeatures.Item(1)
    If objBodyFt.Type <> igBodyFeatureObject Then
        MsgBox ("Not a BodyFeature object")
    End If
    ' Get the Range of the object
    vRng = objBodyFt.Range(x1:=x1, y1:=y1, z1:=z1, x2:=x2, y2:=y2, z2:=z2)
    ' USER DISPLAY
    ' Release objects
    Set objApp = Nothing
    Set objDoc = Nothing
    Set objFeatures = Nothing
    Set objBodyFt = Nothing
End Sub
See Also

BodyFeature Object  | BodyFeature Members